[lkml]   [2001]   [Feb]   [6]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
Messages in this thread
SubjectRe: PCI-SCI Drivers v1.1-7 released
On Tue, Feb 06, 2001 at 06:25:01PM -0700, Jeff V. Merkey wrote:
> Also, the GCC 2.96 compiler shipped with RedHat 7.1 is terribly
> broken, and does not support #ident lines in the source code,
> which also means that RedHat 7.1 will not work properly with
> CVS (Code Versioning System) projects that use the #ident
> keyword to identify and comment files. It generates
> an "unknown keyword" error message. This version of the
> sources disables some CVS enablement in order to build properly
> on a RedHat 7.1 system with gcc 2.96.

More to add on the gcc 2.96 problems. After compiling a Linux 2.4.1
kernel on gcc 2.91, running SCI benchmarks, then compiling on RedHat
7.1 (Fischer) with gcc 2.96, the 2.96 build DROPPED 30% in throughput
from the gcc 2.91 compiled version on the identical SAME 2.4.1
source tree.

I think RedHat should jetison gcc 2.96 as soon as possible...

Tests run on a PIII system limited to 90 MB/S PCI throughput.

gcc 2.91 on a PIII system in sci_copy mode 85 MB/S
gcc 2.96 in RedHat 7.1 (Fischer) in sci_copy mode 63 MB/S


To unsubscribe from this list: send the line "unsubscribe linux-kernel" in
the body of a message to
Please read the FAQ at

 \ /
  Last update: 2005-03-22 13:03    [W:0.033 / U:4.452 seconds]
©2003-2018 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site